Package fr.gouv.vitam.processing.common.model

# Enum Class OutcomeMessage

java.lang.Object
java.lang.Enum<OutcomeMessage>
fr.gouv.vitam.processing.common.model.OutcomeMessage

All Implemented Interfaces:
  `Serializable`, `Comparable<OutcomeMessage>`, `Constable`

public enum OutcomeMessage extends Enum<OutcomeMessage>
Enum StatusCode different constants status code for workflow , action handler and process

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ATR_KO`
  ART KO : fail message
  `ATR_OK`
  ART OK : succes message
  `CHECK_BDO`
  Check BDO
  `CHECK_BDO_KO`
  Check BDO
  `CHECK_BDO_OK`
  Check BDO
  `CHECK_CONFORMITY_KO`
  KO : fail message
  `CHECK_CONFORMITY_OK`
  OK : success message
  `CHECK_DIGEST`
  Check Digest
  `CHECK_DIGEST_KO`
  Check Digest KO
  `CHECK_DIGEST_OK`
  Check Digest OK
  `CHECK_DIGEST_STARTED`
  Check Digest Start
  `CHECK_MANIFEST_KO`
  KO : fail message
  `CHECK_MANIFEST_NO_FILE`
  KO : fail message no manifest file in the SIP
  `CHECK_MANIFEST_NOT_XML_FILE`
  KO : fail message, manifest is not an XML file
  `CHECK_MANIFEST_NOT_XSD_VALID`
  KO : fail message, manifest is not a valid SEDA file
  `CHECK_MANIFEST_OK`
  OK : success message
  `CHECK_OBJECT_NUMBER_KO`
  KO : fail message
  `CHECK_OBJECT_NUMBER_OK`
  OK : success message
  `CHECK_VERSION_KO`
  KO : fail message
  `CHECK_VERSION_OK`
  OK : success message
  `CREATE_LOGBOOK_LIFECYCLE`
  Create logbook lifecycle
  `CREATE_LOGBOOK_LIFECYCLE_OK`
  Create logbookLifecycle ok
  `EXTRACT_MANIFEST_KO`
  KO : fail message
  `EXTRACT_MANIFEST_OK`
  OK : success message
  `FILE_FORMAT_KO`
  File Format KO
  `FILE_FORMAT_METADATA_UPDATE`
  File format data update
  `FILE_FORMAT_NOT_FOUND`
  File format not found in tool
  `FILE_FORMAT_NOT_FOUND_REFERENTIAL`
  File format not found in Vitam referential
  `FILE_FORMAT_OBJECT_NOT_FOUND`
  File format object wrong file path
  `FILE_FORMAT_OK`
  File Format OK
  `FILE_FORMAT_PUID_NOT_FOUND`
  File format PUID not found into internal referential
  `FILE_FORMAT_REFERENTIAL_ERROR`
  File format referentiel search error
  `FILE_FORMAT_TECHNICAL_ERROR`
  File format technical error
  `FILE_FORMAT_TOOL_DOES_NOT_ANSWER`
  File format tool does not respond
  `FUND_REGISTER_KO`
  ART OK : succes message
  `FUND_REGISTER_OK`
  ART KO : fail message
  `GETTING_FORMAT_IDENTIFIER_FATAL`
  Getting format identifier failed message (FATAL)
  `INDEX_OBJECT_GROUP_KO`
  KO : fail message
  `INDEX_OBJECT_GROUP_OK`
  OK : success message
  `INDEX_UNIT_KO`
  KO : fail message
  `INDEX_UNIT_OK`
  OK : success message
  `LOGBOOK_COMMIT_KO`
  KO logbook lifecycle
  `STORAGE_OFFER_KO_UNAVAILABLE`
  KO : fail message
  `STORAGE_OFFER_SPACE_KO`
  KO : fail message
  `STORAGE_OFFER_SPACE_OK`
  OK : success message
  `STORE_OBJECT_KO`
  Store object KO/FATAL : fail message
  `STORE_OBJECT_OK`
  Store object OK : success message
  `UPDATE_LOGBOOK_LIFECYCLE_KO`
  update logbooklifecycle KO
  `WORKFLOW_INGEST_KO`
  Workflow ingest KO/FATAL : fail message
  `WORKFLOW_INGEST_OK`
  Workflow ingest OK : success message

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `value()`
  value
  `static OutcomeMessage`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static OutcomeMessage[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### CHECK_CONFORMITY_OK

    public static final OutcomeMessage CHECK_CONFORMITY_OK
    OK : success message

  - ### CHECK_CONFORMITY_KO

    public static final OutcomeMessage CHECK_CONFORMITY_KO
    KO : fail message

  - ### CHECK_OBJECT_NUMBER_OK

    public static final OutcomeMessage CHECK_OBJECT_NUMBER_OK
    OK : success message

  - ### CHECK_OBJECT_NUMBER_KO

    public static final OutcomeMessage CHECK_OBJECT_NUMBER_KO
    KO : fail message

  - ### CHECK_VERSION_OK

    public static final OutcomeMessage CHECK_VERSION_OK
    OK : success message

  - ### CHECK_VERSION_KO

    public static final OutcomeMessage CHECK_VERSION_KO
    KO : fail message

  - ### CHECK_MANIFEST_OK

    public static final OutcomeMessage CHECK_MANIFEST_OK
    OK : success message

  - ### CHECK_MANIFEST_KO

    public static final OutcomeMessage CHECK_MANIFEST_KO
    KO : fail message

  - ### CHECK_MANIFEST_NO_FILE

    public static final OutcomeMessage CHECK_MANIFEST_NO_FILE
    KO : fail message no manifest file in the SIP

  - ### CHECK_MANIFEST_NOT_XML_FILE

    public static final OutcomeMessage CHECK_MANIFEST_NOT_XML_FILE
    KO : fail message, manifest is not an XML file

  - ### CHECK_MANIFEST_NOT_XSD_VALID

    public static final OutcomeMessage CHECK_MANIFEST_NOT_XSD_VALID
    KO : fail message, manifest is not a valid SEDA file

  - ### EXTRACT_MANIFEST_OK

    public static final OutcomeMessage EXTRACT_MANIFEST_OK
    OK : success message

  - ### EXTRACT_MANIFEST_KO

    public static final OutcomeMessage EXTRACT_MANIFEST_KO
    KO : fail message

  - ### INDEX_UNIT_OK

    public static final OutcomeMessage INDEX_UNIT_OK
    OK : success message

  - ### INDEX_UNIT_KO

    public static final OutcomeMessage INDEX_UNIT_KO
    KO : fail message

  - ### INDEX_OBJECT_GROUP_OK

    public static final OutcomeMessage INDEX_OBJECT_GROUP_OK
    OK : success message

  - ### INDEX_OBJECT_GROUP_KO

    public static final OutcomeMessage INDEX_OBJECT_GROUP_KO
    KO : fail message

  - ### STORAGE_OFFER_KO_UNAVAILABLE

    public static final OutcomeMessage STORAGE_OFFER_KO_UNAVAILABLE
    KO : fail message

  - ### STORAGE_OFFER_SPACE_KO

    public static final OutcomeMessage STORAGE_OFFER_SPACE_KO
    KO : fail message

  - ### STORAGE_OFFER_SPACE_OK

    public static final OutcomeMessage STORAGE_OFFER_SPACE_OK
    OK : success message

  - ### LOGBOOK_COMMIT_KO

    public static final OutcomeMessage LOGBOOK_COMMIT_KO
    KO logbook lifecycle

  - ### CREATE_LOGBOOK_LIFECYCLE

    public static final OutcomeMessage CREATE_LOGBOOK_LIFECYCLE
    Create logbook lifecycle

  - ### CREATE_LOGBOOK_LIFECYCLE_OK

    public static final OutcomeMessage CREATE_LOGBOOK_LIFECYCLE_OK
    Create logbookLifecycle ok

  - ### UPDATE_LOGBOOK_LIFECYCLE_KO

    public static final OutcomeMessage UPDATE_LOGBOOK_LIFECYCLE_KO
    update logbooklifecycle KO

  - ### CHECK_BDO

    public static final OutcomeMessage CHECK_BDO
    Check BDO

  - ### CHECK_BDO_OK

    public static final OutcomeMessage CHECK_BDO_OK
    Check BDO

  - ### CHECK_BDO_KO

    public static final OutcomeMessage CHECK_BDO_KO
    Check BDO

  - ### CHECK_DIGEST

    public static final OutcomeMessage CHECK_DIGEST
    Check Digest

  - ### CHECK_DIGEST_OK

    public static final OutcomeMessage CHECK_DIGEST_OK
    Check Digest OK

  - ### CHECK_DIGEST_KO

    public static final OutcomeMessage CHECK_DIGEST_KO
    Check Digest KO

  - ### CHECK_DIGEST_STARTED

    public static final OutcomeMessage CHECK_DIGEST_STARTED
    Check Digest Start

  - ### FILE_FORMAT_KO

    public static final OutcomeMessage FILE_FORMAT_KO
    File Format KO

  - ### FILE_FORMAT_OK

    public static final OutcomeMessage FILE_FORMAT_OK
    File Format OK

  - ### FILE_FORMAT_NOT_FOUND

    public static final OutcomeMessage FILE_FORMAT_NOT_FOUND
    File format not found in tool

  - ### FILE_FORMAT_PUID_NOT_FOUND

    public static final OutcomeMessage FILE_FORMAT_PUID_NOT_FOUND
    File format PUID not found into internal referential

  - ### FILE_FORMAT_METADATA_UPDATE

    public static final OutcomeMessage FILE_FORMAT_METADATA_UPDATE
    File format data update

  - ### FILE_FORMAT_NOT_FOUND_REFERENTIAL

    public static final OutcomeMessage FILE_FORMAT_NOT_FOUND_REFERENTIAL
    File format not found in Vitam referential

  - ### FILE_FORMAT_REFERENTIAL_ERROR

    public static final OutcomeMessage FILE_FORMAT_REFERENTIAL_ERROR
    File format referentiel search error

  - ### FILE_FORMAT_OBJECT_NOT_FOUND

    public static final OutcomeMessage FILE_FORMAT_OBJECT_NOT_FOUND
    File format object wrong file path

  - ### FILE_FORMAT_TECHNICAL_ERROR

    public static final OutcomeMessage FILE_FORMAT_TECHNICAL_ERROR
    File format technical error

  - ### FILE_FORMAT_TOOL_DOES_NOT_ANSWER

    public static final OutcomeMessage FILE_FORMAT_TOOL_DOES_NOT_ANSWER
    File format tool does not respond

  - ### WORKFLOW_INGEST_OK

    public static final OutcomeMessage WORKFLOW_INGEST_OK
    Workflow ingest OK : success message

  - ### WORKFLOW_INGEST_KO

    public static final OutcomeMessage WORKFLOW_INGEST_KO
    Workflow ingest KO/FATAL : fail message

  - ### STORE_OBJECT_OK

    public static final OutcomeMessage STORE_OBJECT_OK
    Store object OK : success message

  - ### STORE_OBJECT_KO

    public static final OutcomeMessage STORE_OBJECT_KO
    Store object KO/FATAL : fail message

  - ### GETTING_FORMAT_IDENTIFIER_FATAL

    public static final OutcomeMessage GETTING_FORMAT_IDENTIFIER_FATAL
    Getting format identifier failed message (FATAL)

  - ### FUND_REGISTER_OK

    public static final OutcomeMessage FUND_REGISTER_OK
    ART KO : fail message

  - ### FUND_REGISTER_KO

    public static final OutcomeMessage FUND_REGISTER_KO
    ART OK : succes message

  - ### ATR_KO

    public static final OutcomeMessage ATR_KO
    ART KO : fail message

  - ### ATR_OK

    public static final OutcomeMessage ATR_OK
    ART OK : succes message

- ## Method Details

  - ### values

    public static OutcomeMessage[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static OutcomeMessage valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null

  - ### value

    public String value()
    value
    Returns:
      : value of status code